using System;

class Program
{
    static void Main()
    {
        Int64 x = Int64.Parse(Console.ReadLine());
        Int64 y = Int64.Parse(Console.ReadLine());

        Int64 broj = 0;
        Int64 stepen = 1;
        Int64 veci = x > y ? x : y;
        Int64 manji = x > y ? y : x;

        while (manji > 0)
        {
            if ((veci % 10) > (manji % 10))
                broj += stepen * (veci % 10);
            else if ((veci % 10) == (manji % 10))
            {
                broj += stepen * (veci % 10);
                stepen *= 10;
                broj += stepen * (veci % 10);
            }
            else
                broj += stepen * (manji % 10);
            stepen *= 10; veci /= 10; manji /= 10;
        }

        while (veci > 0)
        {
            broj += stepen * (veci % 10);
            stepen *= 10;
            veci /= 10;
        }

        Console.WriteLine(broj);
    }
}

// Ovom kodu je doprineo Milos